import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { COMPONENTS } from './component';
import { CONTAINER_COMPONENTS } from './container';
import { SERVICES } from './service';

import { MetaStoreModule } from './meta-store.module';

@NgModule({
  imports: [
    CommonModule,
    MetaStoreModule,
  ],
  declarations: [
    COMPONENTS,
    CONTAINER_COMPONENTS
  ],
  exports: [
    COMPONENTS,
    CONTAINER_COMPONENTS
  ],
  providers: [
    SERVICES,
  ],
})
export class MetaModule { }
