import { RPCClientError } from '@loafer/ng-rpc';

import { DiscoveryStartInfo } from '@overflow/commons-typescript/model/discovery';

export interface State {
  error: RPCClientError | null;
  isPending: boolean;
  isSuccess: Boolean | null;
}

export const initialState: State = {
  error: null,
  isPending: false,
  isSuccess: null,
};

export const getSuccess = (state: State) => state.isSuccess;

